import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _VZSerialPortAttachment } from "./VZSerialPortAttachment.js";
export declare class _VZSerialPortConfiguration extends _NSObject {
    static alloc(): _VZSerialPortConfiguration;
    static new(): _VZSerialPortConfiguration;
    init(): _VZSerialPortConfiguration;
    /**
     * @abstract Serial port attachment. Defines how the virtual machine's serial port interfaces with the host system. Default is nil. @see VZFileHandleSerialPortAttachment @see VZFileSerialPortAttachment
     */
    attachment(): _VZSerialPortAttachment | null;
    setAttachment$(value: _VZSerialPortAttachment | null): void;
}
export interface _VZSerialPortConfiguration extends _NSCopying {
}
